Class | Ramaze::InstanceForm
In: | lib/ramaze/helper/sequel_form.rb
Parent: | Form

Form for instances of the model class

### Methods

args_for field_boolean field_date field_input field_integer field_textarea field_time object_class option_range_selected

### Public Instance methods

args_for(hash)
field_boolean(name, value)

<input type="checkbox" …

field_date(name, value)
field_input(name, value)

returns <input type=‘text’ name=‘name’ value=‘value’ />

field_integer(name, value)

returns <input type="text" name="name" value="value" />

field_textarea(name, value)

returns <textarea name=‘name’>#{value}</textarea>

field_time(name, value)
object_class()

Class for @object, atm Sequel specific?

option_range_selected(range, value)

[Validate]